#!/usr/bin/env bash
set -e

if  ! { [[ "$PROLINUX_ARCH" == "aarch64" ]] || [[ "$PROLINUX_ARCH" == "x86_64" ]]; }; then
  echo "Invalid PROLINUX_ARCH: $PROLINUX_ARCH"
  exit -1
fi

mkdir -pv ./staging
echo "Copying rootfs..."
cp ../../artifacts/$PROLINUX_ARCH/sineware-phone-os.tar.gz ./staging/

echo "Building docker image..."
podman build -t sineware/pmsdk:latest .