#!/usr/bin/env bash
#if [[ -z "${WAYLAND_DISPLAY}" ]]; then
#  echo "WAYLAND_DISPLAY is not set!"
#  exit -1
#fi
#docker run -e XDG_RUNTIME_DIR=/tmp \
#-e WAYLAND_DISPLAY=$WAYLAND_DISPLAY \
#-v $XDG_RUNTIME_DIR/$WAYLAND_DISPLAY:/tmp/$WAYLAND_DISPLAY \
#-i -t --rm --user=$(id -u):$(id -g) \
#-v /tmp/.X11-unix:/tmp/.X11-unix \
#-e DISPLAY=$DISPLAY -h $HOSTNAME \
#-v $HOME/.Xauthority:/home/${USER}/.Xauthority \
#sineware/pmsdk:latest

WAYLAND_PATH="${XDG_RUNTIME_DIR}/${WAYLAND_DISPLAY}"
echo $WAYLAND_PATH

sudo podman run  -i -t -v ${WAYLAND_PATH}:/tmp/wayland-0 --rm --name pmsdk sineware/pmsdk:latest